View Issue Details

IDProjectCategoryView StatusLast Update
16250Bug reportsSurvey editingpublic2020-08-12 10:10
Reporterandreafesta Assigned Togabrieljenik  
PriorityhighSeveritycrash 
Status closedResolutionfixed 
Product Version4.2.2 
Summary16250: Slider for numeric question display text area
Description

When I choose slider for numeric question nothing change and It displays the text area

TagsNo tags attached.
Complete LimeSurvey version number (& build)Versione 4.2.2+200504
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-Versionlibmysql - mysqlnd 5.0.12-dev - 20150407
Server OS (if known)Apache/2.4.25 (Debian)
Webserver software & version (if known)Apache/2.4.25 (Debian)
PHP Version7.0.33-0+deb9u7

Activities

andreafesta

andreafesta

2020-05-09 14:30

reporter  

gabrieljenik

gabrieljenik

2020-07-27 21:53

developer   ~59108

Implementation is missing. Also needs refactoring and code sharing with Multiple Numerical.

I would just hide the slider options, which were not available on LS3 anyway.
If we want to implement slider for LS3, we could make a new ticket.

gabrieljenik

gabrieljenik

2020-07-28 21:06

developer   ~59133

Last edited: 2020-08-10 16:18

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1512

Hide the slider options, which were not available on LS3 anyway.

sushmanadendla

sushmanadendla

2020-08-03 16:46

manager   ~59269

Last edited: 2020-08-10 16:18

View 2 revisions

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
Screenshot 1: before Pulling the PR questiontype -Numerical input Slider tab was displayed
Screenshot 2:Preview of survey even when you select slider options nothing is been shown
Screenshot 3: After pulling the PR , the slider tab is been hidden and not shown
Please refer the attachment for more details, Working as Expected

gabrieljenik

gabrieljenik

2020-08-10 15:14

developer   ~59382

Last edited: 2020-08-10 16:18

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30356

lime_release_bot

lime_release_bot

2020-08-12 10:10

administrator   ~59429

Fixed in Release 4.3.10+200812

Related Changesets

LimeSurvey: master be147d53

2020-08-10 15:14:46

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16250: Slider for numeric question display text area (#1512)

Hide the slider options, which were not available on LS3 anyway.
If we want to implement slider for LS3, we could make a new ticket.
Affected Issues
16250
mod - application/views/survey/questions/answer/numerical/config.xml Diff File

Issue History

Date Modified Username Field Change
2020-05-09 14:30 andreafesta New Issue
2020-05-09 14:30 andreafesta File Added: Schermata 2020-05-09 alle 14.26.48.png
2020-05-09 14:30 andreafesta File Added: Schermata 2020-05-09 alle 14.27.46.png
2020-05-11 10:03 ollehar Priority none => high
2020-05-11 10:03 ollehar Severity minor => crash
2020-07-09 15:05 cdorin Status new => confirmed
2020-07-27 21:53 gabrieljenik Note Added: 59108
2020-07-28 21:06 gabrieljenik Note Added: 59133
2020-08-03 16:46 sushmanadendla Note Added: 59269
2020-08-03 16:46 sushmanadendla File Added: 16250_Numericalinput_Slidertabhidden.png
2020-08-06 17:24 sushmanadendla Note Edited: 59269 View Revisions
2020-08-10 15:14 gabrieljenik Changeset attached => LimeSurvey master be147d53
2020-08-10 15:14 gabrieljenik Note Added: 59382
2020-08-10 15:14 gabrieljenik Assigned To => gabrieljenik
2020-08-10 15:14 gabrieljenik Resolution open => fixed
2020-08-10 16:18 swendrich Status confirmed => resolved
2020-08-12 10:10 lime_release_bot Note Added: 59429
2020-08-12 10:10 lime_release_bot Status resolved => closed